<template>
  <div class="assessment">
    <div class="area">
      <ul class="circles">
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
      </ul>
      <div class="assessment-form">
        <div class="header3">KNOWLEDGE CHECK</div>
        <section class="test score" v-if="!score">
          <ul class="quiz">
            <li>
              <h5>
                Many certified diamonds include a microscopic laser inscription
                of the certification number on the outer edge of the diamond,
                which is ________
              </h5>
              <ul class="choices">
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question0"
                      value="Pavilion"
                    /><span>Pavilion</span></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question0" value="Culet" /><span
                      >Culet</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question0" value="Crown" /><span
                      >Crown</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question0" value="Girdle" /><span
                      >Girdle</span
                    ></label
                  >
                </li>
              </ul>
            </li>
            <li>
              <h5>
                GIA diamond grading report is issued for diamonds weighing for
                how many carats and above?
              </h5>
              <ul class="choices">
                <li>
                  <label
                    ><input type="radio" name="question1" value="2" /><span
                      >2</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question1" value="1.50" /><span
                      >1.50</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question1" value="0.45" /><span
                      >0.45</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question1" value="0.15" /><span
                      >0.15</span
                    ></label
                  >
                </li>
              </ul>
            </li>
            <li>
              <h5>What does IGI stand for?</h5>
              <ul class="choices">
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question2"
                      value="Internal Gems Institute"
                    /><span>Internal Gems Institute</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question2"
                      value="International Gemological Institute"
                    /><span>International Gemological Institute</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question2"
                      value="India Gems Institute"
                    /><span>India Gems Institute</span></label
                  >
                </li>
                <!-- <li>
                  <label
                    ><input type="radio" name="question2" value="4" /><span
                      >4</span
                    ></label
                  >
                </li> -->
              </ul>
            </li>
            <li>
              <h5>What does GIA stand for?</h5>
              <ul class="choices">
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question3"
                      value="Gemological Institute of America"
                    /><span>Gemological Institute of America</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question3"
                      value="Gems India Association"
                    /><span>Gems India Association</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question3"
                      value="Global institute of Atlanta"
                    /><span>Global institute of Atlanta</span></label
                  >
                </li>
                <!-- <li>
                  <label
                    ><input type="radio" name="question3" value="None" /><span
                      >None</span
                    ></label
                  >
                </li> -->
              </ul>
            </li>
            <!-- <li>
              <h5>
                What is the name of the network of trade routes connecting India
                and China through which the earliest diamonds were transported?
              </h5>
              <ul class="choices">
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question4"
                      value="Silk Road"
                    /><span>Silk Road</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question4"
                      value="Cotton Road"
                    /><span>Cotton Road</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question4"
                      value="Iron Road"
                    /><span>Iron Road</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question4"
                      value="Metal Road"
                    /><span>Metal Road</span></label
                  >
                </li>
              </ul>
            </li> -->
          </ul>
        </section>
        <section class="score" v-else>
          <!-- <ul class="quiz"> -->
          <div class="quiz-section">
            <div class="row">
              <!-- <div class="col-1">
                <b-badge class="tag">Correct</b-badge>
              </div> -->
              <div class="col-12">
                <h5>
                  Many certified diamonds include a microscopic laser
                  inscription of the certification number on the outer edge of
                  the diamond, which is ________
                </h5>
              </div>
            </div>
            <div class="row">
              <!-- <div class="col-1">answer:</div> -->
              <div class="col-12">
                <b-badge class="tag">Correct</b-badge>
              </div>
            </div>
          </div>
          <div class="quiz-section">
            <div class="row">
              <!-- <div class="col-1">
                <b-badge class="tag">Correct</b-badge>
              </div> -->
              <div class="col-12">
                <h5>
                  GIA diamond grading report is issued for diamonds weighing for
                  how many carats and above?
                </h5>
              </div>
            </div>
            <div class="row">
              <!-- <div class="col-1">answer:</div> -->
              <div class="col-12">
                <b-badge class="tag">Correct</b-badge>
              </div>
            </div>
          </div>
          <div class="quiz-section">
            <div class="row">
              <!-- <div class="col-1">
                <b-badge class="tag">Correct</b-badge>
              </div> -->
              <div class="col-12">
                <h5>What does IGI stand for?</h5>
              </div>
            </div>
            <div class="row">
              <!-- <div class="col-1">answer:</div> -->
              <div class="col-12">
                <b-badge class="tag">Correct</b-badge>
              </div>
            </div>
          </div>
          <div class="quiz-section">
            <div class="row">
              <!-- <div class="col-1">
                <b-badge class="tag">Correct</b-badge>
              </div> -->
              <div class="col-12">
                <h5>What does GIA stand for?</h5>
              </div>
            </div>
            <div class="row">
              <!-- <div class="col-1">answer:</div> -->
              <div class="col-12">
                <b-badge class="tag">Correct</b-badge>
              </div>
            </div>
          </div>
          <!-- <div class="quiz-section">
            <div class="row">
              <div class="col-1">
                <b-badge class="tag">Incorrect</b-badge>
              </div>
              <div class="col-11">
                <h5>
                  What is the name of the network of trade routes connecting
                  India and China through which the earliest diamonds were
                  transported?
                </h5>
              </div>
            </div>
            <div class="row">
              <div class="col-1">answer:</div>
              <div class="col-11 ans"></div>
            </div>
          </div> -->
        </section>

        <div class="quiz-section mt-4 mb-4">
          <div class="row">
            <span id="myresults" class="my-results col-12"
              >Your results will appear here</span
            >
          </div>
        </div>
        <div class="assement_btns pb-4">
          <button
            id="back"
            class="buttons prev"
            @click="$router.push('/chapter_five')"
          >
            Back
          </button>
          <button
            id="submit"
            class="buttons next"
            v-show="submit_btn"
            @click="submit()"
          >
            Submit
          </button>
          <button
            id="next"
            class="buttons next"
            v-show="next || count > 5"
            @click="$router.push('/chapter_six')"
          >
            Next
          </button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { stores } from "../main";
export default {
  data: function () {
    return {
      count: stores.state.count,
      next: false,
      submit_btn: true,
      answer: [
        "Girdle",
        "0.15",
        "International Gemological Institute",
        "Gemological Institute of America",
      ],
      ans: [
        "Girdle",
        "0.15",
        "International Gemological Institute",
        "Gemological Institute of America",
      ],
      selected_answers: [],
      score: false,
      ans_bool: [],
    };
  },
  methods: {
    getCheckedValue(radioName) {
      var radios = document.getElementsByName(radioName); // Get radio group by-name
      for (var y = 0; y < radios.length; y++) {
        if (radios[y].checked) {
          return radios[y].value;
        } // return the checked value
      }
    },
    getSelectedAns(radioName) {
      var radios = document.getElementsByName(radioName);
      for (var y = 0; y < radios.length; y++) {
        if (radios[y].checked) {
          this.selected_answers.push(radios[y].value);
        }
      }
    },
    getScore() {
      var score = 0;
      for (var i = 0; i < this.answer.length; i++)
        if (this.getCheckedValue("question" + i) === this.answer[i]) {
          score += 1;
          this.ans_bool.push(
            this.getCheckedValue("question" + i) == this.answer[i]
          );
        } else {
          this.ans_bool.push(
            this.getCheckedValue("question" + i) == this.answer[i]
          );
        }
      return score;
    },
    showAnswers() {
      // var divs = document.querySelectorAll(".ans");
      var tags = document.querySelectorAll(".tag");
      for (var index = 0; index < this.ans_bool.length; ++index) {
        // if (this.selected_answers[index] == undefined) {
        //   divs[index].innerHTML = "";
        // } else {
        //   divs[index].innerHTML = this.selected_answers[index];
        // }

        if (this.ans_bool[index]) {
          tags[index].innerHTML = "Correct";
          tags[index].classList.add("badge-success");
        } else {
          tags[index].innerHTML = "Incorrect";
          tags[index].classList.add("badge-danger");
        }
      }
    },
    makeToast() {
      this.$bvToast.toast("Please answer all questions", {
        variant: "danger",
        solid: false,
        noCloseButton: true,
      });
    },
    submit() {
      this.selected_answers = [];
      for (var i = 0; i < this.answer.length; i++) {
        this.getSelectedAns("question" + i);
      }
      if (this.selected_answers.length != this.answer.length) {
        this.makeToast();
      } else {
        this.submit_btn = false;
        this.score = true;
        document.getElementById("myresults").innerHTML =
          "Your score is " + this.getScore() + "/" + this.answer.length;

        setTimeout(() => {
          this.showAnswers();
        }, 1000);
        if (this.getScore() == this.answer.length) {
          stores.dispatch("setLevel", "chapter_six");
          stores.dispatch("setCount", 6);
          this.next = true;
        }
      }
    },
  },
};
</script>

<style scoped>
.assement_btns {
  text-align: center;
}
.header3 {
  background: #000;
  /* background: -webkit-linear-gradient(right, #fde08d, #fff, #ffe6b3, #c09e7c); */
  color: #c09e7c;
  padding: 0.2em;
  margin-bottom: 40px;
  font-family: "Helvetica";
  font-size: 40px;
  font-weight: bold;
  letter-spacing: -1px;
  line-height: 1;
  text-align: center;
}
section {
  padding: 1em 4em !important;
}
.assessment {
  position: relative;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}
.assessment-form {
  z-index: 5;
  background-image: url("https://www.finestardiamonds.com/Images/02.png");
  background-color: #fff;
  width: 80%;
  padding: 1em;
  position: absolute;
  border-radius: 20px;
  left: 50%;
  transform: translateX(-50%);
  margin: 2em 0;
}
.score {
  min-height: 800px;
}
.score .quiz-section {
  margin-bottom: 50px;
}
.button6 {
  color: #2b030e;
  margin: 0 5px;
}
.button6:hover {
  transform: scale(0.9, 0.9) translate(0px, 5px);

  filter: drop-shadow(0px 0px 10px);
}
.button6:active {
  background: #3f444c;
}
.button6:focus {
  outline: 50px;
}
.button6 {
  cursor: pointer;
  line-height: 0.1em;
  font-family: "Poor Story", light;
  filter: drop-shadow(18px 18px 3px rgba(0, 0, 0, 0.4));
  /* position: fixed; */
  bottom: 1em;
  font-size: 20px;
  background: rgba(43, 43, 43, 0.31);
  border-style: solid;
  border-color: #252528;
  border-radius: 9px;
  border-width: 1px;
  z-index: 5;
  transition: all 0.2s ease-in-out;
  padding: 1em;
}
.buttons {
  box-shadow: 5px 10px 18px #888888;
  cursor: pointer;
  line-height: 0.1em;
  bottom: 1em;
  font-size: 20px;
  z-index: 5;
  padding: 1em;
  background: #c09e7c;
  border: none;
  border-radius: 20px;
  color: #fff;
  margin: 0 5px;
}
.buttons:active {
  transform: scale(0.9, 0.9) translate(0px, 5px);
  filter: drop-shadow(0px 0px 10px);
}
.quiz,
.choices {
  list-style-type: none;
  padding: 0;
}

.choices li {
  margin-bottom: 5px;
}

.choices label {
  display: flex;
  align-items: center;
}

.choices label,
input[type="radio"] {
  cursor: pointer;
}

input[type="radio"] {
  margin-right: 8px;
}

.view-results {
  padding: 1rem;
  cursor: pointer;
  font-size: inherit;
  color: white;
  background: teal;
  border-radius: 8px;
  margin-right: 5px;
}

.my-results {
  padding: 1rem;
  border: 1px solid goldenrod;
  text-align: center;
}

.area {
  background: #0d0d0d;
  background: -webkit-linear-gradient(to left, #0d0d0d, #0d0d0d);
  width: 100%;
  height: 200vh;
  align-items: center;
  justify-content: center;
}

.circles {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.circles li {
  position: absolute;
  display: block;
  list-style: none;
  width: 20px;
  height: 20px;
  /* background: rgba(255, 255, 255, 0.2); */
  background: rgba(179, 152, 0, 0.2);
  animation: animate 50s linear infinite;
  bottom: -150px;
}

.circles li:nth-child(1) {
  left: 25%;
  width: 80px;
  height: 80px;
  animation-delay: 0s;
}

.circles li:nth-child(2) {
  left: 10%;
  width: 20px;
  height: 20px;
  animation-delay: 2s;
  animation-duration: 20s;
}

.circles li:nth-child(3) {
  left: 70%;
  width: 70px;
  height: 70px;
  animation-delay: 4s;
}

.circles li:nth-child(4) {
  left: 40%;
  width: 140px;
  height: 140px;
  animation-delay: 0s;
  animation-duration: 18s;
}

.circles li:nth-child(5) {
  left: 65%;
  width: 20px;
  height: 20px;
  animation-delay: 0s;
}

.circles li:nth-child(6) {
  left: 75%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
}

.circles li:nth-child(7) {
  left: 35%;
  width: 150px;
  height: 150px;
  animation-delay: 35s;
}

.circles li:nth-child(8) {
  left: 50%;
  width: 45px;
  height: 45px;
  animation-delay: 15s;
  animation-duration: 45s;
}

.circles li:nth-child(9) {
  left: 20%;
  width: 35px;
  height: 35px;
  animation-delay: 2s;
  animation-duration: 35s;
}

.circles li:nth-child(10) {
  left: 85%;
  width: 150px;
  height: 150px;
  animation-delay: 0s;
  animation-duration: 11s;
}
.circles li:nth-child(11) {
  right: 85%;
  width: 100px;
  height: 100px;
  animation-delay: 2s;
  animation-duration: 55s;
}
.circles li:nth-child(12) {
  right: 70%;
  width: 120px;
  height: 120px;
  animation-delay: 4s;
  animation-duration: 20s;
}
.circles li:nth-child(13) {
  right: 10%;
  width: 170px;
  height: 170px;
  animation-delay: 4s;
  animation-duration: 20s;
}
.circles li:nth-child(14) {
  right: 20%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
  animation-duration: 15s;
}
.circles li:nth-child(15) {
  right: 40%;
  width: 120px;
  height: 120px;
  animation-delay: 2s;
  animation-duration: 25s;
}
.circles li:nth-child(16) {
  left: 10%;
  width: 170px;
  height: 170px;
  animation-delay: 0s;
  animation-duration: 20s;
}
.circles li:nth-child(12) {
  right: 70%;
  width: 120px;
  height: 120px;
  animation-delay: 4s;
  animation-duration: 20s;
}
.circles li:nth-child(13) {
  right: 10%;
  width: 170px;
  height: 170px;
  animation-delay: 4s;
  animation-duration: 20s;
}
.circles li:nth-child(14) {
  right: 20%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
  animation-duration: 15s;
}
.circles li:nth-child(15) {
  right: 12%;
  width: 120px;
  height: 120px;
  animation-delay: 2s;
  animation-duration: 25s;
}
.circles li:nth-child(16) {
  left: 2%;
  width: 170px;
  height: 170px;
  animation-delay: 0s;
  animation-duration: 20s;
}
.circles li:nth-child(17) {
  right: 4%;
  width: 120px;
  height: 120px;
  animation-delay: 4s;
  animation-duration: 14s;
}
.circles li:nth-child(18) {
  right: 8%;
  width: 170px;
  height: 170px;
  animation-delay: 4s;
  animation-duration: 20s;
}
.circles li:nth-child(19) {
  right: 10%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
  animation-duration: 13s;
}
.circles li:nth-child(20) {
  right: 5%;
  width: 120px;
  height: 120px;
  animation-delay: 2s;
  animation-duration: 22s;
}
.circles li:nth-child(21) {
  left: 2%;
  width: 172px;
  height: 172px;
  animation-delay: 0s;
  animation-duration: 17s;
}

@keyframes animate {
  0% {
    transform: translateY(0) rotate(0deg);
    opacity: 1;
    border-radius: 0;
  }

  100% {
    transform: translateY(-1000px) rotate(720deg);
    opacity: 1;
    border-radius: 40%;
  }
}
</style>